> For the complete documentation index, see [llms.txt](https://docs.console.zenlayer.com/api-reference/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.console.zenlayer.com/api-reference/cn/zec/vpc-network/border-gateway/describeinterconnectbordergatewayregions.md).

# DescribeInterconnectBorderGatewayRegions

## 1. 接口描述

本接口(DescribeInterconnectBorderGatewayRegions)用于查询当前账号下边界网关可支持互联的节点与数据中心信息。边界网关可绑定CloudRouter以实现VPC的L3互联，本接口返回支持此功能的节点列表，可按节点ID或数据中心进行过滤。

## 2. 请求参数

以下请求参数列表仅列出了接口中需要的请求参数

| 参数名称     | 必选 | 类型     | 描述                                                                                                                    |
| -------- | -- | ------ | --------------------------------------------------------------------------------------------------------------------- |
| regionId | 否  | String | <p>节点ID，用于过滤指定节点。</p><p>可通过调用 <a href="/api-reference/cn/zec/location/describeregions.md">DescribeRegions</a> 获取。</p> |
| dcId     | 否  | String | 数据中心UUID，用于过滤指定数据中心。                                                                                                  |
| dcCode   | 否  | String | 数据中心代码，用于过滤指定数据中心。                                                                                                    |

## 3. 响应结果

| 参数名称      | 类型                                                                                       | 描述                                                       |
| --------- | ---------------------------------------------------------------------------------------- | -------------------------------------------------------- |
| requestId | String                                                                                   | <p>唯一请求 ID。</p><p>每次请求都会返回。定位问题时需要提供该次请求的 requestId。</p> |
| regionSet | Array of [InterconnectRegion](/api-reference/cn/zec/datastructure.md#interconnectregion) | 互联节点列表。                                                  |

## 4. 代码示例

{% tabs %}
{% tab title="示例" %}
**1. 查询所有边界网关互联节点。**~~**1123232**~~**。**

```json
POST /api/v2/zec HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: DescribeInterconnectBorderGatewayRegions
<Common Request Params>

Request:
{}

Response:
{
  "requestId": "T05992D0C-7E8B-4047-B0C0-780F2CD549D3",
  "response": {
    "requestId": "T05992D0C-7E8B-4047-B0C0-780F2CD549D3",
    "regionSet": [
      {
        "regionId": "SEA-Tokyo-A",
        "name": "Tokyo",
        "dataCenter": {
          "dcId": "dc-uuid-xxx",
          "dcCode": "TYO1",
          "name": "Tokyo DC1",
          "cityName": "Tokyo",
          "countryName": "Japan"
        }
      }
    ]
  }
}
```

**2. 按节点ID过滤。**

```json
POST /api/v2/zec HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: DescribeInterconnectBorderGatewayRegions
<Common Request Params>

Request:
{
  "regionId": "SEA-Tokyo-A"
}

Response:
{
  "requestId": "T05992D0C-7E8B-4047-B0C0-780F2CD549D3",
  "response": {
    "requestId": "T05992D0C-7E8B-4047-B0C0-780F2CD549D3",
    "regionSet": [
      {
        "regionId": "SEA-Tokyo-A",
        "name": "Tokyo",
        "dataCenter": {
          "dcId": "dc-uuid-xxx",
          "dcCode": "TYO1",
          "name": "Tokyo DC1",
          "cityName": "Tokyo",
          "countryName": "Japan"
        }
      }
    ]
  }
}
```

**3. 按数据中心代码过滤。**

```json
POST /api/v2/zec HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: DescribeInterconnectBorderGatewayRegions
<Common Request Params>

Request:
{
  "dcCode": "TYO1"
}

Response:
{
  "requestId": "T05992D0C-7E8B-4047-B0C0-780F2CD549D3",
  "response": {
    "requestId": "T05992D0C-7E8B-4047-B0C0-780F2CD549D3",
    "regionSet": [
      {
        "regionId": "SEA-Tokyo-A",
        "name": "Tokyo",
        "dataCenter": {
          "dcId": "dc-uuid-xxx",
          "dcCode": "TYO1",
          "name": "Tokyo DC1",
          "cityName": "Tokyo",
          "countryName": "Japan"
        }
      }
    ]
  }
}
```

{% endtab %}
{% endtabs %}

## 5. 开发者工具

Zenlayer Cloud API 2.0 提供了配套的[开发工具集（SDK）](/api-reference/cn/api-introduction/toolkit.md)，未来会陆续支持更多开发语言，方便快速接入和使用Zenlayer的产品和服务。

## 6. 错误码

下面包含业务逻辑中遇到的错误码，其他错误码见[公共错误码](/api-reference/cn/api-introduction/instruction/commonerrorcode.md)

| HTTP状态码 | 错误码 | 说明 |
| ------- | --- | -- |
